#ifndef TABS_CHATSLISTELEMENTS_H
#define TABS_CHATSLISTELEMENTS_H

#include <usergroup.h>

/**
	\class ChatsListElements
	Prosta lista uytkownikw z kilkoma uatwiaczami.
**/
class ChatsListElements : public QValueList<UserListElements>
{
	public:
		/**
			\fn ChatsListElements(UserListElements)
			Konstruktor dodajcy od razu wskazany kontakt
		**/
		ChatsListElements(UserListElements);

		/**
			\fn ChatsListElements(const ChatsListElements &)
			Konstruktor kopiujcy
		**/
		ChatsListElements(const ChatsListElements &);

		/**
			\fn ChatsListElements(const QValueList<UserListElements> &)
			Konstruktor inicjujcy si wskazan list
		**/
		ChatsListElements(const QValueList<UserListElements> &);

		/**
			\fn ChatsListElements()
			Standardowy konstruktor.
		**/
		ChatsListElements();

		/**
			\fn bool contains(UserListElements e) const
			Zwraca informacj o tym czy lista zawiera wskazany kontakt.
			(Zoono O(n))
		**/
		bool contains(UserListElements e) const { return QValueList<UserListElements>::contains(e) > 0;}
};
#endif
